Purge Expired Certificate Authorities

post

/management/weblogic/{version}/domainRuntime/certificateManagementRuntime/purgeExpiredCertificateAuthorities

Removes expired Certificate Authorities from the Admin Server's domain-trust and provisioned-trust source stores. This operation ignores the configured automatic cleanup retention period.

After a durable source deletion, this operation refreshes server and machine trust replicas. A refresh failure is reported after both refresh paths have been attempted; the source deletion is not rolled back.

Request

Path Parameters
Header Parameters
  • The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Security
  • Type: basic
    Description: A user in the Admin security role.
Back to Top

Response

200 Response

Returns the following fields:

Back to Top